LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

# _BISQUE_IMPORT_ADD_PATH_BEGIN
# _BISQUE_IMPORT_ADD_PATH_MODULE_WEBVIEW_BEGIN
$(call import-add-path,$(LOCAL_PATH)/../../../../modules)
# _BISQUE_IMPORT_ADD_PATH_MODULE_WEBVIEW_END
# _BISQUE_IMPORT_ADD_PATH_SUBMODULE_COMMON_BEGIN
$(call import-add-path,$(LOCAL_PATH)/../../../submodules/platform/android)
# _BISQUE_IMPORT_ADD_PATH_SUBMODULE_COMMON_END
# _BISQUE_IMPORT_ADD_PATH_SUBMODULE_ADX2_BEGIN
ADX2_ROOT_PATH := $(LOCAL_PATH)/../../../submodules/adx2
$(call import-add-path,$(ADX2_ROOT_PATH)/android/ndk-modules)
# _BISQUE_IMPORT_ADD_PATH_SUBMODULE_ADX2_END
# _BISQUE_IMPORT_ADD_PATH_SUBMODULE_SOFDEC2_BEGIN
SOFDEC2_ROOT_PATH := $(LOCAL_PATH)/../../../submodules/sofdec2
$(call import-add-path,$(SOFDEC2_ROOT_PATH)/android/ndk-modules)
$(call import-add-path,$(SOFDEC2_ROOT_PATH)/android/ndk-modules/expansion/sofdec2_codecs)
# _BISQUE_IMPORT_ADD_PATH_SUBMODULE_SOFDEC2_END
# _BISQUE_IMPORT_ADD_PATH_END

ifeq ($(DEBUG),true)
    LOCAL_CPPFLAGS := -DDEBUG -DBQ_INDEPENDENCE_USE_JNI
endif

ifeq ($(DEBUG_MENU),true)
    LOCAL_CPPFLAGS += -DDEBUG_MENU
endif

ifeq ($(DEBUG_SERVER),true)
    LOCAL_CPPFLAGS += -DDEBUG_SERVER
endif

ifeq ($(USE_SKLOG),true)
  LOCAL_CPPFLAGS += -DUSE_SKLOG
endif

# ロケール指定
# デフォルトはjp、PROJECT_LOCALE環境変数に定義があれば適用する
LOCAL_LOCALE := jp
ifneq ($(PROJECT_LOCALE)"aaa","aaa")
  $(info use global definition of PROJECT_LOCALE: $(PROJECT_LOCALE))
  LOCAL_LOCALE := $(PROJECT_LOCALE)
endif
$(info LOCALE=$(LOCAL_LOCALE))
ifeq ($(LOCAL_LOCALE),jp)
  LOCAL_CPPFLAGS += -DPRODUCT_SAKURA
else
  ifeq ($(LOCAL_LOCALE),ko)
    LOCAL_CPPFLAGS += -DPRODUCT_YOZAKURA
  else
    LOCAL_CPPFLAGS += -DPRODUCT_KIZAKURA
  endif
endif

# ロケールターゲット一覧
LOCAL_LOCALES := jp en fr ko
# grep除外指定用の正規表現コード
LOCAL_EXCLUDE_LOCALES := $(filter-out $(LOCAL_LOCALE), $(LOCAL_LOCALES))
_EMPTY_ :=
_SPACE_ := $(_EMPTY_) $(_EMPTY_)
LOCAL_EXCLUDE_LOCALES_REGEXP := $(subst $(_SPACE_),|,$(patsubst %,/%/,$(LOCAL_EXCLUDE_LOCALES)))|SoundMutexQueue_iOS
$(info LOCAL_EXCLUDE_LOCALES_REGEXP=$(LOCAL_EXCLUDE_LOCALES_REGEXP))

LOCAL_MODULE := game_shared

LOCAL_MODULE_FILENAME := libgame

C_FILES   := $(shell find $(LOCAL_PATH)/../../Classes/* -type f -name *.c   | egrep -v "leveldb|msgpack-c|litesql|spice|mongoose" | egrep -v '$(LOCAL_EXCLUDE_LOCALES_REGEXP)')
CPP_FILES := $(shell find $(LOCAL_PATH)/../../Classes/* -type f -name *.cpp | egrep -v "leveldb|msgpack-c|litesql|spice|mongoose" | egrep -v '$(LOCAL_EXCLUDE_LOCALES_REGEXP)')
CPP_DIRS  := $(shell find $(LOCAL_PATH)/../../Classes/* -type d             | egrep -v "leveldb|msgpack-c|litesql|spice|mongoose" | egrep -v '$(LOCAL_EXCLUDE_LOCALES_REGEXP)')

LOCAL_SRC_FILES := main/main.cpp \
                   main/configure.cpp

LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustConfig2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustAttribution2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustProxy2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustEvent2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/Adjust2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustEventFailure2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustEventSuccess2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustSessionFailure2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustSessionSuccess2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustAppStoreSubscription2dx.cpp
LOCAL_SRC_FILES += ../../libs/Adjust/Adjust/AdjustPlayStoreSubscription2dx.cpp

LOCAL_SRC_FILES += ../../libs/ExternalServiceState/Android/Classes/ExternalServiceState.cpp

LOCAL_SRC_FILES += ../../libs/Growthbeat/GrowthPush/android/GrowthPush.cpp
LOCAL_SRC_FILES += ../../libs/Growthbeat/GrowthPush/GrowthPushInstance.cpp

LOCAL_SRC_FILES += ../../libs/AppCenter/Android/Classes/Cocos2dxAppCenter.cpp

LOCAL_SRC_FILES += $(C_FILES:$(LOCAL_PATH)/%=%)

LOCAL_SRC_FILES += $(CPP_FILES:$(LOCAL_PATH)/%=%)


LOCAL_C_INCLUDES := $(LOCAL_PATH)/../../../cocos2dx/platform/android/jni \
                    $(LOCAL_PATH)/../../Classes \
                    $(LOCAL_PATH)/../../Classes/Common \
                    $(LOCAL_PATH)/../../Classes/Common/SKDataManager \
                    $(LOCAL_PATH)/../../Classes/Common/UserData \
                    $(LOCAL_PATH)/../../Classes/Common/UserConfig \
                    $(LOCAL_PATH)/../../Classes/Common/CharacterData \
                    $(LOCAL_PATH)/../../Classes/Common/Deck \
                    $(LOCAL_PATH)/../../Classes/Common/QuestData \
                    $(LOCAL_PATH)/../../Classes/Common/ScenarioData \
                    $(LOCAL_PATH)/../../Classes/Common/FriendData \
                    $(LOCAL_PATH)/../../Classes/Common/ShipData \
                    $(LOCAL_PATH)/../../Classes/Common/MessageData \
                    $(LOCAL_PATH)/../../Classes/Common/LoginStamp \
                    $(LOCAL_PATH)/../../Classes/Common/AppInformationData \
                    $(LOCAL_PATH)/../../Classes/Common/MapGameData \
                    $(LOCAL_PATH)/../../Classes/Common/MapGameData/EventData \
                    $(LOCAL_PATH)/../../Classes/Common/MapGameData/RankingData \
                    $(LOCAL_PATH)/../../Classes/Common/ScreenEffect \
                    $(LOCAL_PATH)/../../Classes/Common/SKCommonMenu \
                    $(LOCAL_PATH)/../../Classes/Common/SKCommonMenu/FooterMenu \
                    $(LOCAL_PATH)/../../Classes/Common/SKCommonMenu/HeaderMenu \
                    $(LOCAL_PATH)/../../Classes/Common/SKCommonMenu/StaminaRecovery \
                    $(LOCAL_PATH)/../../Classes/Common/BQScrollView \
                    $(LOCAL_PATH)/../../Classes/Common/UIComponent \
                    $(LOCAL_PATH)/../../Classes/Common/Popup \
                    $(LOCAL_PATH)/../../Classes/Common/SKLayout \
                    $(LOCAL_PATH)/../../Classes/Common/SKResource \
                    $(LOCAL_PATH)/../../Classes/Common/SKResource/$(LOCAL_LOCALE) \
                    $(LOCAL_PATH)/../../Classes/Common/SKSecret \
                    $(LOCAL_PATH)/../../Classes/Common/SKSecret/$(LOCAL_LOCALE) \
                    $(LOCAL_PATH)/../../Classes/Common/SKNotification \
                    $(LOCAL_PATH)/../../Classes/Common/SKPayment \
                    $(LOCAL_PATH)/../../Classes/Common/AppInformationData \
                    $(LOCAL_PATH)/../../Classes/Common/NewCharacterLayer \
                    $(LOCAL_PATH)/../../Classes/Common/SKShader \
                    $(LOCAL_PATH)/../../Classes/Common/UserErrand/ \
                    $(LOCAL_PATH)/../../Classes/Common/LimitBreakItemData/ \
                    $(LOCAL_PATH)/../../Classes/Common/KizunaBattleData/ \
                    $(LOCAL_PATH)/../../Classes/Common/KizunaBattleData/Ranking \
                    $(LOCAL_PATH)/../../Classes/Common/KizunaBattleData/Reward \
                    $(LOCAL_PATH)/../../Classes/Common/SKCharacterBox/ \
                    $(LOCAL_PATH)/../../Classes/Common/SignInWithApple/ \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/ \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/BattleResult \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/Ranking \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/Reward \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/Opponent \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/Shop \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/RankingResult \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/Top \
                    $(LOCAL_PATH)/../../Classes/Common/PiratesArena/Tutorial \
                    $(LOCAL_PATH)/../../Classes/Common/MyPage \
                    $(LOCAL_PATH)/../../Classes/Common/EffectPencil \
                    $(LOCAL_PATH)/../../Classes/Common/GashaCoin \
                    $(LOCAL_PATH)/../../Classes/Common/Alliance \
                    $(LOCAL_PATH)/../../Classes/Common/Profile \
                    $(LOCAL_PATH)/../../Classes/Scene \
                    $(LOCAL_PATH)/../../Classes/Scene/WorldMap \
                    $(LOCAL_PATH)/../../Classes/Scene/AreaMap \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame/Top \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame/Ranking \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame/Reward \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame/MapScene \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame/Debug \
                    $(LOCAL_PATH)/../../Classes/Scene/MapGame/Exchange \
                    $(LOCAL_PATH)/../../Classes/Scene/MyPage/ \
                    $(LOCAL_PATH)/../../Classes/Scene/MyPage/AllianceIntroduction \
                    $(LOCAL_PATH)/../../Classes/Scene/MyPage/CharacterEdit \
                    $(LOCAL_PATH)/../../Classes/Scene/KizunaBattle \
                    $(LOCAL_PATH)/../../Classes/Scene/KizunaBattle/AllianceMember \
                    $(LOCAL_PATH)/../../Classes/Scene/KizunaBattle/Ranking \
                    $(LOCAL_PATH)/../../Classes/Scene/KizunaBattle/Reward \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaBattleSceneStatus \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaField \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaUI \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaSkill \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaData \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaObject \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaUIObject \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaCharacterMotion \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/PiratesArenaCharacterAI \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Battle/Debug \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/DeckEdit \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/DeckEdit/Tutorial \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Opponent \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Opponent/CpuBattle \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Opponent/RivalBattle \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Opponent/Tutorial \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Top \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Top/SeasonChange \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Top/Popup \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Top/Tutorial \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Reward \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Ranking \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/BattleResult \
										$(LOCAL_PATH)/../../Classes/Scene/PiratesArena/BattleResult/Tutorial \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/BattleResult/Popup \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Common \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Debug \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/Shop \
                    $(LOCAL_PATH)/../../Classes/Scene/PiratesArena/RankingResult \
                    $(LOCAL_PATH)/../../Classes/Scene/MiningIsland \
                    $(LOCAL_PATH)/../../Classes/Scene/MiningIsland/FacilityData \
                    $(LOCAL_PATH)/../../Classes/Scene/MissionList \
                    $(LOCAL_PATH)/../../Classes/Scene/Debug \
                    $(LOCAL_PATH)/../../Classes/Scene/QuestResult \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/MemberSkill \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/PotentialSkill \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/QuestCore \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/QuestLogicSub \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/StatusChip \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/SupportSkill \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/Debug \
                    $(LOCAL_PATH)/../../Classes/Scene/Quest/Global \
                    $(LOCAL_PATH)/../../Classes/Scene/GashaScene \
                    $(LOCAL_PATH)/../../Classes/Scene/AdvScene \
                    $(LOCAL_PATH)/../../Classes/Scene/FriendGame \
                    $(LOCAL_PATH)/../../Classes/Scene/FriendList \
                    $(LOCAL_PATH)/../../Classes/Scene/FriendRanking \
                    $(LOCAL_PATH)/../../Classes/Scene/FriendRanking/TeamRanking \
                    $(LOCAL_PATH)/../../Classes/Scene/FriendSearch \
                    $(LOCAL_PATH)/../../Classes/Scene/MiscMenu \
                    $(LOCAL_PATH)/../../Classes/Scene/MiscMenu/AppleId \
                    $(LOCAL_PATH)/../../Classes/Scene/Input \
                    $(LOCAL_PATH)/../../Classes/Scene/Reinforce \
                    $(LOCAL_PATH)/../../Classes/Scene/DeckEdit \
                    $(LOCAL_PATH)/../../Classes/Scene/CharacterDetail \
                    $(LOCAL_PATH)/../../Classes/Scene/CharacterBox \
                    $(LOCAL_PATH)/../../Classes/Scene/Evolution \
                    $(LOCAL_PATH)/../../Classes/Scene/CharacterSell \
                    $(LOCAL_PATH)/../../Classes/Scene/Colosseum \
                    $(LOCAL_PATH)/../../Classes/Scene/ColosseumAreaMap \
                    $(LOCAL_PATH)/../../Classes/Scene/ColosseumSchedule \
                    $(LOCAL_PATH)/../../Classes/Scene/DeckEdit \
                    $(LOCAL_PATH)/../../Classes/Scene/DownloadSetting \
                    $(LOCAL_PATH)/../../Classes/Scene/DeckSelect \
                    $(LOCAL_PATH)/../../Classes/Scene/EffectPencil \
                    $(LOCAL_PATH)/../../Classes/Scene/ImportantNews \
                    $(LOCAL_PATH)/../../Classes/Scene/Logbook \
                    $(LOCAL_PATH)/../../Classes/Scene/LimitBreak \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Common \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/AreaMap \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Quest \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/QuestResult \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/DeckEdit \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Dockyard \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Reinforce \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Evolution \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Bar \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/Gasha \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/ChangeUserName \
                    $(LOCAL_PATH)/../../Classes/Scene/Tutorial/CooperationTutorial \
                    $(LOCAL_PATH)/../../Classes/Scene/Initialize \
                    $(LOCAL_PATH)/../../Classes/Scene/Dockyard \
                    $(LOCAL_PATH)/../../Classes/Scene/ChangeUserName \
                    $(LOCAL_PATH)/../../Classes/Scene/Bar \
                    $(LOCAL_PATH)/../../Classes/Scene/StaminaRecover \
                    $(LOCAL_PATH)/../../Classes/Scene/Combination \
                    $(LOCAL_PATH)/../../Classes/Scene/SelectHelper \
                    $(LOCAL_PATH)/../../Classes/Scene/MessageList \
                    $(LOCAL_PATH)/../../Classes/Scene/Shop \
                    $(LOCAL_PATH)/../../Classes/Scene/Option \
                    $(LOCAL_PATH)/../../Classes/Scene/ResourceDL \
                    $(LOCAL_PATH)/../../Classes/Scene/Help \
                    $(LOCAL_PATH)/../../Classes/Scene/Tips \
                    $(LOCAL_PATH)/../../Classes/Scene/ConfirmAge \
                    $(LOCAL_PATH)/../../Classes/Scene/SettingAchievement \
                    $(LOCAL_PATH)/../../Classes/Scene/ChangingMobileModel \
                    $(LOCAL_PATH)/../../Classes/Scene/ChangingMobileModel/AppleId \
                    $(LOCAL_PATH)/../../Classes/Scene/TitleMenu \
                    $(LOCAL_PATH)/../../Classes/Scene/TitleMenu/AppleId \
                    $(LOCAL_PATH)/../../Classes/Scene/ItemExchange \
                    $(LOCAL_PATH)/../../Classes/Scene/ItemExchange/ItemExchangeStore \
                    $(LOCAL_PATH)/../../Classes/Scene/ItemExchange/ItemExchangeCharacterSell \
                    $(LOCAL_PATH)/../../Classes/Scene/ItemExchange/ItemExchangeEntrance \
                    $(LOCAL_PATH)/../../Classes/Scene/PasswordLock \
                    $(LOCAL_PATH)/../../Classes/Scene/ChopperErrand \
                    $(LOCAL_PATH)/../../Classes/Scene/Opening \
                    $(LOCAL_PATH)/../../Classes/Scene/MaterialGuide \
                    $(LOCAL_PATH)/../../Classes/Scene/EventOpen \
                    $(LOCAL_PATH)/../../Classes/Scene/Alliance \
                    $(LOCAL_PATH)/../../Classes/db \
                    $(LOCAL_PATH)/../../Classes/db/models \
                    $(LOCAL_PATH)/../../Classes/dal/urlencode \
                    $(LOCAL_PATH)/../../libs/ExternalServiceState \
                    $(LOCAL_PATH)/../../libs/Growthbeat/GrowthPush/ \
                    $(LOCAL_PATH)/../../libs/Growthbeat/GrowthPush/android \
                    $(LOCAL_PATH)/../../Classes/Common/Popup/Stamina/ \


# 消す予定
LOCAL_C_INCLUDES_PLAN_TO_DELETE := \
                    $(LOCAL_PATH)/../../Classes/Library \
                    $(LOCAL_PATH)/../../Classes/Library/CustomSSPlayer \
                    $(LOCAL_PATH)/../../Classes/Library/Sound \
                    $(LOCAL_PATH)/../../Classes/Library/Sound/Android \
                    $(LOCAL_PATH)/../../Classes/Library/ResourceControl \
                    $(LOCAL_PATH)/../../Classes/Library/SKHttpConnector \
                    $(LOCAL_PATH)/../../Classes/Library/MasterDataControl \
                    $(LOCAL_PATH)/../../Classes/Library/SKMTConnector \
                    $(LOCAL_PATH)/../../Classes/Library/SignInWithApple \
                    $(LOCAL_PATH)/../../Classes/Library/WebView \


LOCAL_C_INCLUDES += $(LOCAL_C_INCLUDES_PLAN_TO_DELETE)

LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../libs/Adjust
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../libs/Adjust/Adjust

LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../Classes/dal/cri/android/include
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../Classes/dal/cri/android

LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../../modules
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../libs/AppCenter/Android/Classes

# _BISQUE_LOCAL_C_INCLUDES_BEGIN
# _BISQUE_LOCAL_C_INCLUDES_MODULE_WEBVIEW_BEGIN
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../../modules/WebView
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../../modules/WebView/bisque
# _BISQUE_LOCAL_C_INCLUDES_MODULE_WEBVIEW_END
# _BISQUE_LOCAL_C_INCLUDES_SUBMODULE_ADX2_BEGIN
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../submodules/adx2/android/include
# _BISQUE_LOCAL_C_INCLUDES_SUBMODULE_ADX2_END
# _BISQUE_LOCAL_C_INCLUDES_SUBMODULE_SOFDEC2_BEGIN
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../submodules/sofdec2/android/include
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../submodules/sofdec2/android/include/expansion/sofdec2_codecs
# _BISQUE_LOCAL_C_INCLUDES_SUBMODULE_SOFDEC2_END
# _BISQUE_LOCAL_C_INCLUDES_SUBMODULE_CRIWARE_BEGIN
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../submodules/criware
LOCAL_C_INCLUDES += $(LOCAL_PATH)/../../../submodules/criware/CCMana
# _BISQUE_LOCAL_C_INCLUDES_SUBMODULE_CRIWARE_END
# _BISQUE_LOCAL_C_INCLUDES_END

# _BISQUE_LOCAL_STATIC_LIBRARIES_BEGIN
# _BISQUE_LOCAL_STATIC_LIBRARIES_SUBMODULE_ADX2_BEGIN
#LOCAL_STATIC_LIBRARIES += cri_base
#LOCAL_STATIC_LIBRARIES += cri_file_system
#LOCAL_STATIC_LIBRARIES += cri_file_system_net
#LOCAL_STATIC_LIBRARIES += cri_atom
# _BISQUE_LOCAL_STATIC_LIBRARIES_SUBMODULE_ADX2_END
# _BISQUE_LOCAL_STATIC_LIBRARIES_SUBMODULE_SOFDEC2_BEGIN
#LOCAL_STATIC_LIBRARIES += cri_mana
#LOCAL_STATIC_LIBRARIES += cri_mana_vpx
# _BISQUE_LOCAL_STATIC_LIBRARIES_SUBMODULE_SOFDEC2_END
# _BISQUE_LOCAL_STATIC_LIBRARIES_SUBMODULE_CRIWARE_BEGIN
#LOCAL_STATIC_LIBRARIES += libcriware_static
# _BISQUE_LOCAL_STATIC_LIBRARIES_SUBMODULE_CRIWARE_END
# _BISQUE_LOCAL_STATIC_LIBRARIES_END

LOCAL_WHOLE_STATIC_LIBRARIES := msgpack-c_static leveldb_static litesql_static spice_common_static bisque_static cocos2dx_static cocos_extension_static box2d_static breakpad_client

LOCAL_WHOLE_STATIC_LIBRARIES += cri_atom cri_base cri_file_system

LOCAL_WHOLE_STATIC_LIBRARIES += mongoose_static

# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_BEGIN
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_MODULE_WEBVIEW_BEGIN
LOCAL_WHOLE_STATIC_LIBRARIES += libWebView_static
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_MODULE_WEBVIEW_END
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_SUBMODULE_ADX2_BEGIN
LOCAL_WHOLE_STATIC_LIBRARIES += cri_base
LOCAL_WHOLE_STATIC_LIBRARIES += cri_file_system
LOCAL_WHOLE_STATIC_LIBRARIES += cri_file_system_net
LOCAL_WHOLE_STATIC_LIBRARIES += cri_atom
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_SUBMODULE_ADX2_END
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_SUBMODULE_SOFDEC2_BEGIN
LOCAL_WHOLE_STATIC_LIBRARIES += cri_mana
LOCAL_WHOLE_STATIC_LIBRARIES += cri_mana_vpx
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_SUBMODULE_SOFDEC2_END
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_SUBMODULE_CRIWARE_BEGIN
LOCAL_WHOLE_STATIC_LIBRARIES += libcriware_static
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_SUBMODULE_CRIWARE_END
# _BISQUE_LOCAL_WHOLE_STATIC_LIBRARIES_END

#LOCAL_ALLOW_UNDEFINED_SYMBOLS := true

LOCAL_LDLIBS :=  -landroid -lOpenSLES -lGLESv2 -lEGL -L$(SYSROOT)/usr/lib -llog

# _BISQUE_LOCAL_SRC_FILES_BEGIN
# _BISQUE_LOCAL_SRC_FILES_END

include $(BUILD_SHARED_LIBRARY)




$(call import-module,cocos2dx) \
$(call import-module,extensions) \
$(call import-module,bisque) \
$(call import-module,external/Box2D)

$(call import-module,breakpad/android/google_breakpad)

$(call import-module,kvs/leveldb)

$(call import-module,msgpack-c)

$(call import-module,mongoose)

SQLITE3_HEADER_LOCAL_C_INCLUDES := $(LOCAL_PATH)/../../../../../bisque/bisque/third_party/sqlite3
$(call import-module,ormapper/litesql)

$(call import-module,Spice/common)

# _BISQUE_IMPORT_MODULE_BEGIN
# _BISQUE_IMPORT_MODULE_MODULE_WEBVIEW_BEGIN
$(call import-module,WebView/platform/android/jni)
# _BISQUE_IMPORT_MODULE_MODULE_WEBVIEW_END
# _BISQUE_IMPORT_MODULE_SUBMODULE_ADX2_BEGIN
$(call import-module,cri_base)
$(call import-module,cri_file_system)
$(call import-module,cri_file_system_net)
$(call import-module,cri_atom)
# _BISQUE_IMPORT_MODULE_SUBMODULE_ADX2_END
# _BISQUE_IMPORT_MODULE_SUBMODULE_SOFDEC2_BEGIN
$(call import-module,cri_mana)
$(call import-module,cri_mana_vpx)
# _BISQUE_IMPORT_MODULE_SUBMODULE_SOFDEC2_END
# _BISQUE_IMPORT_MODULE_SUBMODULE_CRIWARE_BEGIN
$(call import-module,criware/jni)
# _BISQUE_IMPORT_MODULE_SUBMODULE_CRIWARE_END
# _BISQUE_IMPORT_MODULE_END
