#include "AppDelegate.h"
#include "platform/android/jni/JniHelper.h"
#include <jni.h>
#include <android/log.h>

#include "cocos2d.h"
#include <bisque/base/gl/extend/BQBorder.h>

#define  LOG_TAG    "main"
#define  LOGD(...)  __android_log_print(ANDROID_LOG_DEBUG,LOG_TAG,__VA_ARGS__)

using namespace cocos2d;

extern "C"
{

//  global reference classes for bisque
jclass   bisqueJNI_GlobalReferenceClass_BQHandler;

void setGlobalReference()
{
    JavaVM* _vm = cocos2d::JniHelper::getJavaVM();
    JNIEnv* _env;
    _vm->GetEnv((void**)&_env, JNI_VERSION_1_4);
    _vm->AttachCurrentThread(&_env, NULL);

    //  BQHandlerDispatcherNotify
    bisqueJNI_GlobalReferenceClass_BQHandler = reinterpret_cast<jclass>(_env->NewGlobalRef(_env->FindClass("jp/co/drecom/bisque/lib/BQHandlerDispatcherNotify")));
}

jint JNI_OnLoad(JavaVM *vm, void *reserved)
{
    JniHelper::setJavaVM(vm);
	setGlobalReference();

    return JNI_VERSION_1_4;
}

void Java_org_cocos2dx_lib_Cocos2dxRenderer_nativeInit(JNIEnv*  env, jobject thiz, jint w, jint h)
{
    if (!CCDirector::sharedDirector()->getOpenGLView())
    {
        CCEGLView *view = CCEGLView::sharedOpenGLView();
        view->setFrameSize(w, h);

        AppDelegate *pAppDelegate = new AppDelegate();
        CCApplication::sharedApplication()->run();
    }
    else
    {
        ccDrawInit();
        ccGLInvalidateStateCache();
        
        CCShaderCache::sharedShaderCache()->reloadDefaultShaders();
        CCTextureCache::reloadAllTextures();
        CCNotificationCenter::sharedNotificationCenter()->postNotification(EVNET_COME_TO_FOREGROUND, NULL);
        BQBorder::shared()->reloadTextures();
        CCDirector::sharedDirector()->setGLDefaultValues();
    }
}

}
